container_of
Prev | Kernel utility functions | Next

## Name

container_of — cast a member of a structure out to the containing structure

## Synopsis

`container_of (` |  | ptr,
|  | type,
|  | member`)`;

## Arguments

`ptr`

  the pointer to the member.

`type`

  the type of the container struct this is embedded in.

`member`

  the name of the member within the struct.

Prev | Up | Next
upper_32_bits | Home | printk